Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027720
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-09-30 18:052014-12-30 23:28
ReportermaiteView Statuspublic 
Assigned Tofsoto82 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision265a4a64502d
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027720: Remove "Generate Invoice from receipt" field from Goods Shipment window, as it does not apply to sales flow

DescriptionPurchase Invoice is created when this process is run so it only applies to purchase flow. However user is able to Display and run it in sales flow
Steps To Reproduce1. As system administrator, access to "Goods Shipment" window, "Header" tab and set "Generate invoice from receipt" field as Displayed=yes
2. Compile window and access again to application as Openbravo Admin
3. Create new Goods shipment header and add any line. Complete shipment
4. Run "Generate Invoice from receipt" process and realize that no Sales Invoice is created but Purchase Invoice is created
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071711)
fsoto82 (developer)
2014-11-17 15:37
edited on: 2014-11-17 16:20

As system administrator, access to "Goods Shipment" window, "Header" tab, now the "Generate invoice from receipt" field is disabled.

(0072749)
hgbot (developer)
2014-12-22 07:04

Repository: erp/devel/pi
Changeset: 265a4a64502dce9badb6aa10b8df4a9755b5eb53
Author: Fernando Soto <fernando.soto <at> peoplewalking.com>
Date: Mon Nov 10 00:18:53 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/265a4a64502dce9badb6aa10b8df4a9755b5eb53 [^]

Fixed bug 27720: Remove Generate Invoice from receipt field from Goods Shipment

De-activated field "Generate Invoice from receipt" from Goods Shipment window

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0072750)
pramakrishnan (developer)
2014-12-22 07:05

Verified
(0073252)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-30 18:05 maite New Issue
2014-09-30 18:05 maite Assigned To => dmiguelez
2014-09-30 18:05 maite Modules => Core
2014-09-30 18:05 maite Triggers an Emergency Pack => No
2014-09-30 18:06 maite Issue Monitored: networkb
2014-09-30 18:08 maite Target Version => 3.0PR15Q1
2014-10-31 13:09 dmitry_mezentsev Assigned To dmiguelez => Sandrahuguet
2014-11-10 05:53 fsoto82 Status new => scheduled
2014-11-10 05:53 fsoto82 Assigned To Sandrahuguet => fsoto82
2014-11-10 05:53 fsoto82 fix_in_branch => pi
2014-11-17 15:37 fsoto82 Note Added: 0071711
2014-11-17 16:20 fsoto82 Note Edited: 0071711 View Revisions
2014-12-01 15:57 egoitz Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-01 15:57 egoitz fix_in_branch pi =>
2014-12-22 07:04 hgbot Checkin
2014-12-22 07:04 hgbot Note Added: 0072749
2014-12-22 07:04 hgbot Status scheduled => resolved
2014-12-22 07:04 hgbot Resolution open => fixed
2014-12-22 07:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/265a4a64502dce9badb6aa10b8df4a9755b5eb53 [^]
2014-12-22 07:05 pramakrishnan Review Assigned To => pramakrishnan
2014-12-22 07:05 pramakrishnan Note Added: 0072750
2014-12-22 07:05 pramakrishnan Status resolved => closed
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073252


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker